Template Management API
Create Template
Create a new WhatsApp message template.
Guide: Template Management APIPOST
Create a new WhatsApp message template.
bearerAuthheader
AuthorizationBearer <token>An API token from Settings > API Tokens in your Cue workspace. See Authentication.
Idempotency-Key?string|nullapplication/json- body
name*NameMatch
^[a-zA-Z][a-zA-Z0-9_ ]*$Length
1 <= length <= 512locale*LocaleMatch
^[a-zA-Z]{2,3}(_[a-zA-Z]{2})?$category*TemplateCategoryValue in
"MARKETING""UTILITY""AUTHENTICATION"template_type*TemplateTypeValue in
"STANDARD""CAROUSEL""AUTHENTICATION"content*enabled_in_livechat*Enabled In Livechatcontinue_session*Continue SessionSuccessful Response
application/json- response
Public template representation.
Excluded upstream fields (intentionally not exposed):
- waba_id: internal provider account identifier
- provider_template_id: internal provider reference
- version: optimistic locking (internal concurrency control)
- role: binding-level access role (OWNER/USER)
- quality_score: Meta quality rating (may be exposed in future)
uuid*UuidFormat
uuidworkspace_uuid*Workspace UuidFormat
uuidname*Namecanonical_name*Canonical Namelocale*Localecategory*TemplateCategoryValue in
"MARKETING""UTILITY""AUTHENTICATION"template_type*TemplateTypeValue in
"STANDARD""CAROUSEL""AUTHENTICATION"status*TemplateStatusValue in
"PREPARING""PENDING""APPROVED""REJECTED""PAUSED""FLAGGED""DISABLED""IN_APPEAL""PENDING_DELETION""LOCKED""IN_REVIEW""DELETED""CREATE_FAILED""UPDATE_FAILED""DELETE_FAILED"rejection_reason?string|nullcontent*enabled_in_livechat*Enabled In Livechatcontinue_session*Continue Sessioncreated_at*string|nullupdated_at*string|nullcurl -X POST 'https://api.cuedesk.com/v1/templates' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"locale": "string",
"category": "MARKETING",
"template_type": "STANDARD",
"content": {},
"enabled_in_livechat": true,
"continue_session": true
}'Example Response
{
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"workspace_uuid": "8360bf61-4604-4f22-99dc-2afa910fd8c7",
"name": "string",
"canonical_name": "string",
"locale": "string",
"category": "MARKETING",
"template_type": "STANDARD",
"status": "PREPARING",
"rejection_reason": "string",
"content": {
"header": {
"format": "TEXT",
"text": "string",
"example": [
"string"
]
},
"body": {
"text": "string",
"example": [
"string"
]
},
"footer": {
"text": "string"
},
"buttons": [],
"cards": [
{
"header": {
"format": "TEXT",
"text": "string",
"example": [
"string"
]
},
"body": {
"text": "string",
"example": [
"string"
]
},
"buttons": []
}
],
"auth": {
"auth_category_type": "string",
"code_expiry_minutes": 0,
"auth_body_inputs": {
"add_security_message": true,
"add_contact": true
}
}
},
"enabled_in_livechat": true,
"continue_session": true,
"created_at": "string",
"updated_at": "string"
}